package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ContractTable;

/**
 * B类Service接口
 * 
 * @author ruoyi
 * @date 2022-11-25
 */
public interface IContractTableService 
{
    /**
     * 查询B类
     * 
     * @param id B类主键
     * @return B类
     */
    public ContractTable selectContractTableById(Long id);

    /**
     * 查询B类列表
     * 
     * @param contractTable B类
     * @return B类集合
     */
    public List<ContractTable> selectContractTableList(ContractTable contractTable);

    /**
     * 新增B类
     * 
     * @param contractTable B类
     * @return 结果
     */
    public int insertContractTable(ContractTable contractTable);

    /**
     * 修改B类
     * 
     * @param contractTable B类
     * @return 结果
     */
    public int updateContractTable(ContractTable contractTable);

    /**
     * 批量删除B类
     * 
     * @param ids 需要删除的B类主键集合
     * @return 结果
     */
    public int deleteContractTableByIds(Long[] ids);

    /**
     * 删除B类信息
     * 
     * @param id B类主键
     * @return 结果
     */
    public int deleteContractTableById(Long id);

    /**
     * 导入用户数据
     *
     * @param stuList 用户数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作用户
     * @return 结果
     */
    public String importCon(List<ContractTable> stuList, Boolean isUpdateSupport, String operName);

}
